%define name subsonic
%define version 4.8
%define release 5
Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
Summary:        A web-based music streamer, jukebox and Podcast receiver
Source: 	%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools
AutoReqProv: no

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://subsonic.org

%changelog
* Thu Nov 21 2013 JP Pialasse <tests@pialasse.com> 4.8-5.sme
- removed system dir from filelist

* Wed Nov 6 2013 JP Pialasse <tests@pialasse.com> 4.8-4.sme
- dependencies corrected.

* Sun Oct 27 2013 JP Pialasse <tests@pialasse.com> 4.8-3.sme
- first build for sme
- adding noarch
- adding e-smith-devtools

%description
Subsonic is a web-based music streamer, jukebox and Podcast receiver,
providing access to your music collection wherever you are. Use it
to share your music with friends, or to listen to your music while away
from home.

Apps for Android, iPhone and Windows Phone are also available.

Java 1.6 or higher is required to run Subsonic.

Subsonic can be found at http://subsonic.org
%prep
%setup


%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
| grep -v "/etc/sysconfig/subsonic" \
| grep -v "/etc/init.d$" \
| grep -v "/etc/sysconfig$" \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/subsonic
#%files
#%defattr(644,root,root,755)
#/usr/share/subsonic/subsonic-booter-jar-with-dependencies.jar
#/usr/share/subsonic/subsonic.war
#%attr(755,root,root) /usr/share/subsonic/subsonic.sh
#%attr(755,root,root) /etc/init.d/subsonic
#%attr(755,root,root) /var/subsonic/transcode/ffmpeg
#%attr(755,root,root) /var/subsonic/transcode/lame
#%config(noreplace) /etc/sysconfig/subsonic

%pre
# Stop Subsonic service.
if [ -e /etc/init.d/subsonic ]; then
  service subsonic stop
fi

# Backup database.
if [ -e /var/subsonic/db ]; then
  rm -rf /var/subsonic/db.backup
  cp -R /var/subsonic/db /var/subsonic/db.backup
fi

exit 0

%post
ln -sf /usr/share/subsonic/subsonic.sh /usr/bin/subsonic
chmod 750 /var/subsonic

# Clear jetty cache.
rm -rf /var/subsonic/jetty

# For SELinux: Set security context
chcon -t java_exec_t /etc/init.d/subsonic 2>/dev/null

# Configure and start Subsonic service.
chkconfig --add subsonic
service subsonic start

exit 0

%preun
# Only do it if uninstalling, not upgrading.
if [ $1 = 0 ] ; then

  # Stop the service.
  [ -e /etc/init.d/subsonic ] && service subsonic stop

  # Remove symlink.
  rm -f /usr/bin/subsonic

  # Remove startup scripts.
  chkconfig --del subsonic

fi

exit 0

